# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: blob.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from . import lint_pb2 as lint__pb2
from . import shared_pb2 as shared__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='blob.proto',
  package='gitaly',
  syntax='proto3',
  serialized_pb=_b('\n\nblob.proto\x12\x06gitaly\x1a\nlint.proto\x1a\x0cshared.proto\"Z\n\x0eGetBlobRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x0b\n\x03oid\x18\x02 \x01(\t\x12\r\n\x05limit\x18\x03 \x01(\x03\":\n\x0fGetBlobResponse\x12\x0c\n\x04size\x18\x01 \x01(\x03\x12\x0c\n\x04\x64\x61ta\x18\x02 \x01(\x0c\x12\x0b\n\x03oid\x18\x03 \x01(\t\"\xbc\x01\n\x0fGetBlobsRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12<\n\x0erevision_paths\x18\x02 \x03(\x0b\x32$.gitaly.GetBlobsRequest.RevisionPath\x12\r\n\x05limit\x18\x03 \x01(\x03\x1a.\n\x0cRevisionPath\x12\x10\n\x08revision\x18\x01 \x01(\t\x12\x0c\n\x04path\x18\x02 \x01(\x0c\"\xa1\x01\n\x10GetBlobsResponse\x12\x0c\n\x04size\x18\x01 \x01(\x03\x12\x0c\n\x04\x64\x61ta\x18\x02 \x01(\x0c\x12\x0b\n\x03oid\x18\x03 \x01(\t\x12\x14\n\x0cis_submodule\x18\x04 \x01(\x08\x12\x0c\n\x04mode\x18\x05 \x01(\x05\x12\x10\n\x08revision\x18\x06 \x01(\t\x12\x0c\n\x04path\x18\x07 \x01(\x0c\x12 \n\x04type\x18\x08 \x01(\x0e\x32\x12.gitaly.ObjectType\"\x8b\x01\n\x10ListBlobsRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x11\n\trevisions\x18\x02 \x03(\t\x12\r\n\x05limit\x18\x03 \x01(\r\x12\x13\n\x0b\x62ytes_limit\x18\x04 \x01(\x03\x12\x12\n\nwith_paths\x18\x05 \x01(\x08\"\x81\x01\n\x11ListBlobsResponse\x12-\n\x05\x62lobs\x18\x01 \x03(\x0b\x32\x1e.gitaly.ListBlobsResponse.Blob\x1a=\n\x04\x42lob\x12\x0b\n\x03oid\x18\x01 \x01(\t\x12\x0c\n\x04size\x18\x02 \x01(\x03\x12\x0c\n\x04\x64\x61ta\x18\x03 \x01(\x0c\x12\x0c\n\x04path\x18\x04 \x01(\x0c\"g\n\x13ListAllBlobsRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\r\n\x05limit\x18\x02 \x01(\r\x12\x13\n\x0b\x62ytes_limit\x18\x03 \x01(\x03\"y\n\x14ListAllBlobsResponse\x12\x30\n\x05\x62lobs\x18\x01 \x03(\x0b\x32!.gitaly.ListAllBlobsResponse.Blob\x1a/\n\x04\x42lob\x12\x0b\n\x03oid\x18\x01 \x01(\t\x12\x0c\n\x04size\x18\x02 \x01(\x03\x12\x0c\n\x04\x64\x61ta\x18\x03 \x01(\x0c\"5\n\nLFSPointer\x12\x0c\n\x04size\x18\x01 \x01(\x03\x12\x0c\n\x04\x64\x61ta\x18\x02 \x01(\x0c\x12\x0b\n\x03oid\x18\x03 \x01(\t\"8\n\rNewBlobObject\x12\x0c\n\x04size\x18\x01 \x01(\x03\x12\x0b\n\x03oid\x18\x02 \x01(\t\x12\x0c\n\x04path\x18\x03 \x01(\x0c\"W\n\x15GetLFSPointersRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x10\n\x08\x62lob_ids\x18\x02 \x03(\t\"B\n\x16GetLFSPointersResponse\x12(\n\x0clfs_pointers\x18\x01 \x03(\x0b\x32\x12.gitaly.LFSPointer\"h\n\x16ListLFSPointersRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x11\n\trevisions\x18\x02 \x03(\t\x12\r\n\x05limit\x18\x03 \x01(\x05\"C\n\x17ListLFSPointersResponse\x12(\n\x0clfs_pointers\x18\x01 \x03(\x0b\x32\x12.gitaly.LFSPointer\"X\n\x19ListAllLFSPointersRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\r\n\x05limit\x18\x03 \x01(\x05\"F\n\x1aListAllLFSPointersResponse\x12(\n\x0clfs_pointers\x18\x01 \x03(\x0b\x32\x12.gitaly.LFSPointer2\xdd\x04\n\x0b\x42lobService\x12\x44\n\x07GetBlob\x12\x16.gitaly.GetBlobRequest\x1a\x17.gitaly.GetBlobResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12G\n\x08GetBlobs\x12\x17.gitaly.GetBlobsRequest\x1a\x18.gitaly.GetBlobsResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12J\n\tListBlobs\x12\x18.gitaly.ListBlobsRequest\x1a\x19.gitaly.ListBlobsResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12S\n\x0cListAllBlobs\x12\x1b.gitaly.ListAllBlobsRequest\x1a\x1c.gitaly.ListAllBlobsResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12Y\n\x0eGetLFSPointers\x12\x1d.gitaly.GetLFSPointersRequest\x1a\x1e.gitaly.GetLFSPointersResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12\\\n\x0fListLFSPointers\x12\x1e.gitaly.ListLFSPointersRequest\x1a\x1f.gitaly.ListLFSPointersResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12\x65\n\x12ListAllLFSPointers\x12!.gitaly.ListAllLFSPointersRequest\x1a\".gitaly.ListAllLFSPointersResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x42\x34Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypbb\x06proto3')
  ,
  dependencies=[lint__pb2.DESCRIPTOR,shared__pb2.DESCRIPTOR,])




_GETBLOBREQUEST = _descriptor.Descriptor(
  name='GetBlobRequest',
  full_name='gitaly.GetBlobRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.GetBlobRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='oid', full_name='gitaly.GetBlobRequest.oid', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.GetBlobRequest.limit', index=2,
      number=3, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=48,
  serialized_end=138,
)


_GETBLOBRESPONSE = _descriptor.Descriptor(
  name='GetBlobResponse',
  full_name='gitaly.GetBlobResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='size', full_name='gitaly.GetBlobResponse.size', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='data', full_name='gitaly.GetBlobResponse.data', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='oid', full_name='gitaly.GetBlobResponse.oid', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=140,
  serialized_end=198,
)


_GETBLOBSREQUEST_REVISIONPATH = _descriptor.Descriptor(
  name='RevisionPath',
  full_name='gitaly.GetBlobsRequest.RevisionPath',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='revision', full_name='gitaly.GetBlobsRequest.RevisionPath.revision', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.GetBlobsRequest.RevisionPath.path', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=343,
  serialized_end=389,
)

_GETBLOBSREQUEST = _descriptor.Descriptor(
  name='GetBlobsRequest',
  full_name='gitaly.GetBlobsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.GetBlobsRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='revision_paths', full_name='gitaly.GetBlobsRequest.revision_paths', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.GetBlobsRequest.limit', index=2,
      number=3, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_GETBLOBSREQUEST_REVISIONPATH, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=201,
  serialized_end=389,
)


_GETBLOBSRESPONSE = _descriptor.Descriptor(
  name='GetBlobsResponse',
  full_name='gitaly.GetBlobsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='size', full_name='gitaly.GetBlobsResponse.size', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='data', full_name='gitaly.GetBlobsResponse.data', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='oid', full_name='gitaly.GetBlobsResponse.oid', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='is_submodule', full_name='gitaly.GetBlobsResponse.is_submodule', index=3,
      number=4, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='mode', full_name='gitaly.GetBlobsResponse.mode', index=4,
      number=5, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='revision', full_name='gitaly.GetBlobsResponse.revision', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.GetBlobsResponse.path', index=6,
      number=7, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='type', full_name='gitaly.GetBlobsResponse.type', index=7,
      number=8, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=392,
  serialized_end=553,
)


_LISTBLOBSREQUEST = _descriptor.Descriptor(
  name='ListBlobsRequest',
  full_name='gitaly.ListBlobsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.ListBlobsRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='revisions', full_name='gitaly.ListBlobsRequest.revisions', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.ListBlobsRequest.limit', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='bytes_limit', full_name='gitaly.ListBlobsRequest.bytes_limit', index=3,
      number=4, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='with_paths', full_name='gitaly.ListBlobsRequest.with_paths', index=4,
      number=5, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=556,
  serialized_end=695,
)


_LISTBLOBSRESPONSE_BLOB = _descriptor.Descriptor(
  name='Blob',
  full_name='gitaly.ListBlobsResponse.Blob',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='oid', full_name='gitaly.ListBlobsResponse.Blob.oid', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='size', full_name='gitaly.ListBlobsResponse.Blob.size', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='data', full_name='gitaly.ListBlobsResponse.Blob.data', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.ListBlobsResponse.Blob.path', index=3,
      number=4, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=766,
  serialized_end=827,
)

_LISTBLOBSRESPONSE = _descriptor.Descriptor(
  name='ListBlobsResponse',
  full_name='gitaly.ListBlobsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='blobs', full_name='gitaly.ListBlobsResponse.blobs', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_LISTBLOBSRESPONSE_BLOB, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=698,
  serialized_end=827,
)


_LISTALLBLOBSREQUEST = _descriptor.Descriptor(
  name='ListAllBlobsRequest',
  full_name='gitaly.ListAllBlobsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.ListAllBlobsRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.ListAllBlobsRequest.limit', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='bytes_limit', full_name='gitaly.ListAllBlobsRequest.bytes_limit', index=2,
      number=3, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=829,
  serialized_end=932,
)


_LISTALLBLOBSRESPONSE_BLOB = _descriptor.Descriptor(
  name='Blob',
  full_name='gitaly.ListAllBlobsResponse.Blob',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='oid', full_name='gitaly.ListAllBlobsResponse.Blob.oid', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='size', full_name='gitaly.ListAllBlobsResponse.Blob.size', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='data', full_name='gitaly.ListAllBlobsResponse.Blob.data', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=766,
  serialized_end=813,
)

_LISTALLBLOBSRESPONSE = _descriptor.Descriptor(
  name='ListAllBlobsResponse',
  full_name='gitaly.ListAllBlobsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='blobs', full_name='gitaly.ListAllBlobsResponse.blobs', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_LISTALLBLOBSRESPONSE_BLOB, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=934,
  serialized_end=1055,
)


_LFSPOINTER = _descriptor.Descriptor(
  name='LFSPointer',
  full_name='gitaly.LFSPointer',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='size', full_name='gitaly.LFSPointer.size', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='data', full_name='gitaly.LFSPointer.data', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='oid', full_name='gitaly.LFSPointer.oid', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1057,
  serialized_end=1110,
)


_NEWBLOBOBJECT = _descriptor.Descriptor(
  name='NewBlobObject',
  full_name='gitaly.NewBlobObject',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='size', full_name='gitaly.NewBlobObject.size', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='oid', full_name='gitaly.NewBlobObject.oid', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.NewBlobObject.path', index=2,
      number=3, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1112,
  serialized_end=1168,
)


_GETLFSPOINTERSREQUEST = _descriptor.Descriptor(
  name='GetLFSPointersRequest',
  full_name='gitaly.GetLFSPointersRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.GetLFSPointersRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='blob_ids', full_name='gitaly.GetLFSPointersRequest.blob_ids', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1170,
  serialized_end=1257,
)


_GETLFSPOINTERSRESPONSE = _descriptor.Descriptor(
  name='GetLFSPointersResponse',
  full_name='gitaly.GetLFSPointersResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='lfs_pointers', full_name='gitaly.GetLFSPointersResponse.lfs_pointers', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1259,
  serialized_end=1325,
)


_LISTLFSPOINTERSREQUEST = _descriptor.Descriptor(
  name='ListLFSPointersRequest',
  full_name='gitaly.ListLFSPointersRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.ListLFSPointersRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='revisions', full_name='gitaly.ListLFSPointersRequest.revisions', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.ListLFSPointersRequest.limit', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1327,
  serialized_end=1431,
)


_LISTLFSPOINTERSRESPONSE = _descriptor.Descriptor(
  name='ListLFSPointersResponse',
  full_name='gitaly.ListLFSPointersResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='lfs_pointers', full_name='gitaly.ListLFSPointersResponse.lfs_pointers', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1433,
  serialized_end=1500,
)


_LISTALLLFSPOINTERSREQUEST = _descriptor.Descriptor(
  name='ListAllLFSPointersRequest',
  full_name='gitaly.ListAllLFSPointersRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.ListAllLFSPointersRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='limit', full_name='gitaly.ListAllLFSPointersRequest.limit', index=1,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1502,
  serialized_end=1590,
)


_LISTALLLFSPOINTERSRESPONSE = _descriptor.Descriptor(
  name='ListAllLFSPointersResponse',
  full_name='gitaly.ListAllLFSPointersResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='lfs_pointers', full_name='gitaly.ListAllLFSPointersResponse.lfs_pointers', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1592,
  serialized_end=1662,
)

_GETBLOBREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_GETBLOBSREQUEST_REVISIONPATH.containing_type = _GETBLOBSREQUEST
_GETBLOBSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_GETBLOBSREQUEST.fields_by_name['revision_paths'].message_type = _GETBLOBSREQUEST_REVISIONPATH
_GETBLOBSRESPONSE.fields_by_name['type'].enum_type = shared__pb2._OBJECTTYPE
_LISTBLOBSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_LISTBLOBSRESPONSE_BLOB.containing_type = _LISTBLOBSRESPONSE
_LISTBLOBSRESPONSE.fields_by_name['blobs'].message_type = _LISTBLOBSRESPONSE_BLOB
_LISTALLBLOBSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_LISTALLBLOBSRESPONSE_BLOB.containing_type = _LISTALLBLOBSRESPONSE
_LISTALLBLOBSRESPONSE.fields_by_name['blobs'].message_type = _LISTALLBLOBSRESPONSE_BLOB
_GETLFSPOINTERSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_GETLFSPOINTERSRESPONSE.fields_by_name['lfs_pointers'].message_type = _LFSPOINTER
_LISTLFSPOINTERSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_LISTLFSPOINTERSRESPONSE.fields_by_name['lfs_pointers'].message_type = _LFSPOINTER
_LISTALLLFSPOINTERSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_LISTALLLFSPOINTERSRESPONSE.fields_by_name['lfs_pointers'].message_type = _LFSPOINTER
DESCRIPTOR.message_types_by_name['GetBlobRequest'] = _GETBLOBREQUEST
DESCRIPTOR.message_types_by_name['GetBlobResponse'] = _GETBLOBRESPONSE
DESCRIPTOR.message_types_by_name['GetBlobsRequest'] = _GETBLOBSREQUEST
DESCRIPTOR.message_types_by_name['GetBlobsResponse'] = _GETBLOBSRESPONSE
DESCRIPTOR.message_types_by_name['ListBlobsRequest'] = _LISTBLOBSREQUEST
DESCRIPTOR.message_types_by_name['ListBlobsResponse'] = _LISTBLOBSRESPONSE
DESCRIPTOR.message_types_by_name['ListAllBlobsRequest'] = _LISTALLBLOBSREQUEST
DESCRIPTOR.message_types_by_name['ListAllBlobsResponse'] = _LISTALLBLOBSRESPONSE
DESCRIPTOR.message_types_by_name['LFSPointer'] = _LFSPOINTER
DESCRIPTOR.message_types_by_name['NewBlobObject'] = _NEWBLOBOBJECT
DESCRIPTOR.message_types_by_name['GetLFSPointersRequest'] = _GETLFSPOINTERSREQUEST
DESCRIPTOR.message_types_by_name['GetLFSPointersResponse'] = _GETLFSPOINTERSRESPONSE
DESCRIPTOR.message_types_by_name['ListLFSPointersRequest'] = _LISTLFSPOINTERSREQUEST
DESCRIPTOR.message_types_by_name['ListLFSPointersResponse'] = _LISTLFSPOINTERSRESPONSE
DESCRIPTOR.message_types_by_name['ListAllLFSPointersRequest'] = _LISTALLLFSPOINTERSREQUEST
DESCRIPTOR.message_types_by_name['ListAllLFSPointersResponse'] = _LISTALLLFSPOINTERSRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetBlobRequest = _reflection.GeneratedProtocolMessageType('GetBlobRequest', (_message.Message,), dict(
  DESCRIPTOR = _GETBLOBREQUEST,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetBlobRequest)
  ))
_sym_db.RegisterMessage(GetBlobRequest)

GetBlobResponse = _reflection.GeneratedProtocolMessageType('GetBlobResponse', (_message.Message,), dict(
  DESCRIPTOR = _GETBLOBRESPONSE,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetBlobResponse)
  ))
_sym_db.RegisterMessage(GetBlobResponse)

GetBlobsRequest = _reflection.GeneratedProtocolMessageType('GetBlobsRequest', (_message.Message,), dict(

  RevisionPath = _reflection.GeneratedProtocolMessageType('RevisionPath', (_message.Message,), dict(
    DESCRIPTOR = _GETBLOBSREQUEST_REVISIONPATH,
    __module__ = 'blob_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.GetBlobsRequest.RevisionPath)
    ))
  ,
  DESCRIPTOR = _GETBLOBSREQUEST,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetBlobsRequest)
  ))
_sym_db.RegisterMessage(GetBlobsRequest)
_sym_db.RegisterMessage(GetBlobsRequest.RevisionPath)

GetBlobsResponse = _reflection.GeneratedProtocolMessageType('GetBlobsResponse', (_message.Message,), dict(
  DESCRIPTOR = _GETBLOBSRESPONSE,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetBlobsResponse)
  ))
_sym_db.RegisterMessage(GetBlobsResponse)

ListBlobsRequest = _reflection.GeneratedProtocolMessageType('ListBlobsRequest', (_message.Message,), dict(
  DESCRIPTOR = _LISTBLOBSREQUEST,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListBlobsRequest)
  ))
_sym_db.RegisterMessage(ListBlobsRequest)

ListBlobsResponse = _reflection.GeneratedProtocolMessageType('ListBlobsResponse', (_message.Message,), dict(

  Blob = _reflection.GeneratedProtocolMessageType('Blob', (_message.Message,), dict(
    DESCRIPTOR = _LISTBLOBSRESPONSE_BLOB,
    __module__ = 'blob_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.ListBlobsResponse.Blob)
    ))
  ,
  DESCRIPTOR = _LISTBLOBSRESPONSE,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListBlobsResponse)
  ))
_sym_db.RegisterMessage(ListBlobsResponse)
_sym_db.RegisterMessage(ListBlobsResponse.Blob)

ListAllBlobsRequest = _reflection.GeneratedProtocolMessageType('ListAllBlobsRequest', (_message.Message,), dict(
  DESCRIPTOR = _LISTALLBLOBSREQUEST,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListAllBlobsRequest)
  ))
_sym_db.RegisterMessage(ListAllBlobsRequest)

ListAllBlobsResponse = _reflection.GeneratedProtocolMessageType('ListAllBlobsResponse', (_message.Message,), dict(

  Blob = _reflection.GeneratedProtocolMessageType('Blob', (_message.Message,), dict(
    DESCRIPTOR = _LISTALLBLOBSRESPONSE_BLOB,
    __module__ = 'blob_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.ListAllBlobsResponse.Blob)
    ))
  ,
  DESCRIPTOR = _LISTALLBLOBSRESPONSE,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListAllBlobsResponse)
  ))
_sym_db.RegisterMessage(ListAllBlobsResponse)
_sym_db.RegisterMessage(ListAllBlobsResponse.Blob)

LFSPointer = _reflection.GeneratedProtocolMessageType('LFSPointer', (_message.Message,), dict(
  DESCRIPTOR = _LFSPOINTER,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.LFSPointer)
  ))
_sym_db.RegisterMessage(LFSPointer)

NewBlobObject = _reflection.GeneratedProtocolMessageType('NewBlobObject', (_message.Message,), dict(
  DESCRIPTOR = _NEWBLOBOBJECT,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.NewBlobObject)
  ))
_sym_db.RegisterMessage(NewBlobObject)

GetLFSPointersRequest = _reflection.GeneratedProtocolMessageType('GetLFSPointersRequest', (_message.Message,), dict(
  DESCRIPTOR = _GETLFSPOINTERSREQUEST,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetLFSPointersRequest)
  ))
_sym_db.RegisterMessage(GetLFSPointersRequest)

GetLFSPointersResponse = _reflection.GeneratedProtocolMessageType('GetLFSPointersResponse', (_message.Message,), dict(
  DESCRIPTOR = _GETLFSPOINTERSRESPONSE,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.GetLFSPointersResponse)
  ))
_sym_db.RegisterMessage(GetLFSPointersResponse)

ListLFSPointersRequest = _reflection.GeneratedProtocolMessageType('ListLFSPointersRequest', (_message.Message,), dict(
  DESCRIPTOR = _LISTLFSPOINTERSREQUEST,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListLFSPointersRequest)
  ))
_sym_db.RegisterMessage(ListLFSPointersRequest)

ListLFSPointersResponse = _reflection.GeneratedProtocolMessageType('ListLFSPointersResponse', (_message.Message,), dict(
  DESCRIPTOR = _LISTLFSPOINTERSRESPONSE,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListLFSPointersResponse)
  ))
_sym_db.RegisterMessage(ListLFSPointersResponse)

ListAllLFSPointersRequest = _reflection.GeneratedProtocolMessageType('ListAllLFSPointersRequest', (_message.Message,), dict(
  DESCRIPTOR = _LISTALLLFSPOINTERSREQUEST,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListAllLFSPointersRequest)
  ))
_sym_db.RegisterMessage(ListAllLFSPointersRequest)

ListAllLFSPointersResponse = _reflection.GeneratedProtocolMessageType('ListAllLFSPointersResponse', (_message.Message,), dict(
  DESCRIPTOR = _LISTALLLFSPOINTERSRESPONSE,
  __module__ = 'blob_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ListAllLFSPointersResponse)
  ))
_sym_db.RegisterMessage(ListAllLFSPointersResponse)


DESCRIPTOR.has_options = True
DESCRIPTOR._options = _descriptor._ParseOptions(descriptor_pb2.FileOptions(), _b('Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypb'))
_GETBLOBREQUEST.fields_by_name['repository'].has_options = True
_GETBLOBREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_GETBLOBSREQUEST.fields_by_name['repository'].has_options = True
_GETBLOBSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_LISTBLOBSREQUEST.fields_by_name['repository'].has_options = True
_LISTBLOBSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_LISTALLBLOBSREQUEST.fields_by_name['repository'].has_options = True
_LISTALLBLOBSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_GETLFSPOINTERSREQUEST.fields_by_name['repository'].has_options = True
_GETLFSPOINTERSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_LISTLFSPOINTERSREQUEST.fields_by_name['repository'].has_options = True
_LISTLFSPOINTERSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_LISTALLLFSPOINTERSREQUEST.fields_by_name['repository'].has_options = True
_LISTALLLFSPOINTERSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))

_BLOBSERVICE = _descriptor.ServiceDescriptor(
  name='BlobService',
  full_name='gitaly.BlobService',
  file=DESCRIPTOR,
  index=0,
  options=None,
  serialized_start=1665,
  serialized_end=2270,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetBlob',
    full_name='gitaly.BlobService.GetBlob',
    index=0,
    containing_service=None,
    input_type=_GETBLOBREQUEST,
    output_type=_GETBLOBRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='GetBlobs',
    full_name='gitaly.BlobService.GetBlobs',
    index=1,
    containing_service=None,
    input_type=_GETBLOBSREQUEST,
    output_type=_GETBLOBSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='ListBlobs',
    full_name='gitaly.BlobService.ListBlobs',
    index=2,
    containing_service=None,
    input_type=_LISTBLOBSREQUEST,
    output_type=_LISTBLOBSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='ListAllBlobs',
    full_name='gitaly.BlobService.ListAllBlobs',
    index=3,
    containing_service=None,
    input_type=_LISTALLBLOBSREQUEST,
    output_type=_LISTALLBLOBSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='GetLFSPointers',
    full_name='gitaly.BlobService.GetLFSPointers',
    index=4,
    containing_service=None,
    input_type=_GETLFSPOINTERSREQUEST,
    output_type=_GETLFSPOINTERSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='ListLFSPointers',
    full_name='gitaly.BlobService.ListLFSPointers',
    index=5,
    containing_service=None,
    input_type=_LISTLFSPOINTERSREQUEST,
    output_type=_LISTLFSPOINTERSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='ListAllLFSPointers',
    full_name='gitaly.BlobService.ListAllLFSPointers',
    index=6,
    containing_service=None,
    input_type=_LISTALLLFSPOINTERSREQUEST,
    output_type=_LISTALLLFSPOINTERSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
])
_sym_db.RegisterServiceDescriptor(_BLOBSERVICE)

DESCRIPTOR.services_by_name['BlobService'] = _BLOBSERVICE

# @@protoc_insertion_point(module_scope)
